Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 298)
@@ -52,4 +52,5 @@
 !      USE ioipsl_getincom 
       USE ioipsl_getincom_p
+      use mod_phys_lmdz_para, only : is_master
       IMPLICIT NONE
 !#include "dimensions.h"
@@ -89,4 +90,5 @@
       rcp=r/cpp
       ! Ehouarn debug:
+      if (is_master) then
       write(*,*) "inifis: rad=",rad
       write(*,*) "        daysec=",daysec
@@ -96,4 +98,5 @@
       write(*,*) "        r=",r
       write(*,*) "        rcp=",rcp
+      end if
 
       avocado = 6.02214179e23   ! added by RW
@@ -121,4 +124,5 @@
 !!!      IF(ierr.EQ.0) THEN
       IF(iscallphys) THEN
+         if (is_master) then
          PRINT*
          PRINT*
@@ -126,231 +130,254 @@
          PRINT*,' inifis: Parametres pour la physique (callphys.def)'
          PRINT*,'--------------------------------------------'
-
-         write(*,*) "Directory where external input files are:"
+         end if
+
+         if (is_master) write(*,*) "Directory where external input",
+     &		" files are:"
+
          ! default 'datadir' is set in "datadir_mod"
          call getin_p("datadir",datadir) ! default path
-         write(*,*) " datadir = ",trim(datadir)
-
-         write(*,*) "Run with or without tracer transport ?"
+         if (is_master) write(*,*) " datadir = ",trim(datadir)
+
+         if (is_master) write(*,*) "Run with or without tracer",
+     &		" transport ?"
          tracer=.false. ! default value
          call getin_p("tracer",tracer)
-         write(*,*) " tracer = ",tracer
-
-         write(*,*) "Run with or without atm mass update ",
-     &      " due to tracer evaporation/condensation?"
+         if (is_master) write(*,*) " tracer = ",tracer
+
+         if (is_master) write(*,*) "Run with or without atm mass",
+     &		" update due to tracer evaporation/condensation?"
          mass_redistrib=.false. ! default value
          call getin_p("mass_redistrib",mass_redistrib)
-         write(*,*) " mass_redistrib = ",mass_redistrib
-
-         write(*,*) "Diurnal cycle ?"
-         write(*,*) "(if diurnal=false, diurnal averaged solar heating)"
+         if (is_master) write(*,*) " mass_redistrib = ",mass_redistrib
+
+         if (is_master) write(*,*) "Diurnal cycle ?"
+         if (is_master) write(*,*) "(if diurnal=false, diurnal",
+     &		" averaged solar heating)"
          diurnal=.true. ! default value
          call getin_p("diurnal",diurnal)
-         write(*,*) " diurnal = ",diurnal
-
-         write(*,*) "Seasonal cycle ?"
-         write(*,*) "(if season=false, Ls stays constant, to value ",
-     &   "set in 'start'"
+         if (is_master) write(*,*) " diurnal = ",diurnal
+
+         if (is_master) write(*,*) "Seasonal cycle ?"
+         if (is_master) write(*,*) "(if season=false, Ls stays",
+     &		" constant, to value set in 'start'"
          season=.true. ! default value
          call getin_p("season",season)
-         write(*,*) " season = ",season
-
-         write(*,*) "Tidally resonant rotation ?"
+         if (is_master) write(*,*) " season = ",season
+
+         if (is_master) write(*,*) "Tidally resonant rotation ?"
          tlocked=.false. ! default value
          call getin_p("tlocked",tlocked)
-         write(*,*) "tlocked = ",tlocked
-
-         write(*,*) "Saturn ring shadowing ?"
+         if (is_master) write(*,*) "tlocked = ",tlocked
+
+         if (is_master) write(*,*) "Saturn ring shadowing ?"
          rings_shadow = .false.
          call getin_p("rings_shadow", rings_shadow)
-         write(*,*) "rings_shadow = ", rings_shadow
+         if (is_master) write(*,*) "rings_shadow = ", rings_shadow
          
-         write(*,*) "Compute latitude-dependent gravity field?"
+         if (is_master) write(*,*) "Compute latitude-dependent",
+     &		" gravity field?"
          oblate = .false.
          call getin_p("oblate", oblate)
-         write(*,*) "oblate = ", oblate
-
-         write(*,*) "Flattening of the planet (a-b)/a "
+         if (is_master) write(*,*) "oblate = ", oblate
+
+         if (is_master) write(*,*) "Flattening of the planet (a-b)/a "
          flatten = 0.0
          call getin_p("flatten", flatten)
-         write(*,*) "flatten = ", flatten
+         if (is_master) write(*,*) "flatten = ", flatten
          
 
-         write(*,*) "Needed if oblate=.true.: J2"
+         if (is_master) write(*,*) "Needed if oblate=.true.: J2"
          J2 = 0.0
          call getin_p("J2", J2)
-         write(*,*) "J2 = ", J2
+         if (is_master) write(*,*) "J2 = ", J2
          
-         write(*,*) "Needed if oblate=.true.: Planet mass (*1e24 kg)"
+         if (is_master) write(*,*) "Needed if oblate=.true.: Planet",
+     &		" mass (*1e24 kg)"
          MassPlanet = 0.0
          call getin_p("MassPlanet", MassPlanet)
-         write(*,*) "MassPlanet = ", MassPlanet         
-
-         write(*,*) "Needed if oblate=.true.: Planet mean radius (m)"
+         if (is_master) write(*,*) "MassPlanet = ", MassPlanet         
+
+         if (is_master) write(*,*) "Needed if oblate=.true.: Planet",
+     &		" mean radius (m)"
          Rmean = 0.0
          call getin_p("Rmean", Rmean)
-         write(*,*) "Rmean = ", Rmean
+         if (is_master) write(*,*) "Rmean = ", Rmean
          
 ! Test of incompatibility:
 ! if tlocked, then diurnal should be false
          if (tlocked.and.diurnal) then
-           print*,'If diurnal=true, we should turn off tlocked.'
+           if (is_master) print*,'If diurnal=true, we should turn off',
+     &		' tlocked.'
            stop
          endif
 
-         write(*,*) "Tidal resonance ratio ?"
+         if (is_master) write(*,*) "Tidal resonance ratio ?"
          nres=0          ! default value
          call getin_p("nres",nres)
-         write(*,*) "nres = ",nres
-
-         write(*,*) "Write some extra output to the screen ?"
+         if (is_master) write(*,*) "nres = ",nres
+
+         if (is_master) write(*,*) "Write some extra output to the",
+     &		" screen ?"
          lwrite=.false. ! default value
          call getin_p("lwrite",lwrite)
-         write(*,*) " lwrite = ",lwrite
-
-         write(*,*) "Save statistics in file stats.nc ?"
+         if (is_master) write(*,*) " lwrite = ",lwrite
+
+         if (is_master) write(*,*) "Save statistics in file stats.nc ?"
          callstats=.true. ! default value
          call getin_p("callstats",callstats)
-         write(*,*) " callstats = ",callstats
-
-         write(*,*) "Test energy conservation of model physics ?"
+         if (is_master) write(*,*) " callstats = ",callstats
+
+         if (is_master) write(*,*) "Test energy conservation of model",
+     &		" physics ?"
          enertest=.false. ! default value
          call getin_p("enertest",enertest)
-         write(*,*) " enertest = ",enertest
-
-         write(*,*) "Check to see if cpp values used match gases.def ?"
+         if (is_master) write(*,*) " enertest = ",enertest
+
+         if (is_master) write(*,*) "Check to see if cpp values used",
+     &		" match gases.def ?"
          check_cpp_match=.true. ! default value
          call getin_p("check_cpp_match",check_cpp_match)
-         write(*,*) " check_cpp_match = ",check_cpp_match
-
-         write(*,*) "call radiative transfer ?"
+         if (is_master) write(*,*) " check_cpp_match = ",check_cpp_match
+
+         if (is_master) write(*,*) "call radiative transfer ?"
          callrad=.true. ! default value
          call getin_p("callrad",callrad)
-         write(*,*) " callrad = ",callrad
-
-         write(*,*) "call correlated-k radiative transfer ?"
+         if (is_master) write(*,*) " callrad = ",callrad
+
+         if (is_master) write(*,*) "call correlated-k radiative",
+     &		" transfer ?"
          corrk=.true. ! default value
          call getin_p("corrk",corrk)
-         write(*,*) " corrk = ",corrk
-
-         write(*,*) "prohibit calculations outside corrk T grid?"
+         if (is_master) write(*,*) " corrk = ",corrk
+
+         if (is_master) write(*,*) "prohibit calculations outside",
+     &		" corrk T grid?"
          strictboundcorrk=.true. ! default value
          call getin_p("strictboundcorrk",strictboundcorrk)
-         write(*,*) "strictboundcorrk = ",strictboundcorrk
-
-         write(*,*) "call gaseous absorption in the visible bands?",
-     &              "(matters only if callrad=T)"
+         if (is_master) write(*,*) "strictboundcorrk = ",
+     &		strictboundcorrk
+
+         if (is_master) write(*,*) "call gaseous absorption in the",
+     &		" visible bands? (matters only if callrad=T)"
          callgasvis=.false. ! default value
          call getin_p("callgasvis",callgasvis)
-         write(*,*) " callgasvis = ",callgasvis
+         if (is_master) write(*,*) " callgasvis = ",callgasvis
         
-         write(*,*) "call continuum opacities in radiative transfer ?",
-     &              "(matters only if callrad=T)"
+         if (is_master) write(*,*) "call continuum opacities in",
+     &		" radiative transfer ? (matters only if callrad=T)"
          continuum=.true. ! default value
          call getin_p("continuum",continuum)
-         write(*,*) " continuum = ",continuum
-
-         write(*,*) "use analytic function for H2O continuum ?"
+         if (is_master) write(*,*) " continuum = ",continuum
+
+         if (is_master) write(*,*) "use analytic function for H2O",
+     &		" continuum ?"
          H2Ocont_simple=.false. ! default value
          call getin_p("H2Ocont_simple",H2Ocont_simple)
-         write(*,*) " H2Ocont_simple = ",H2Ocont_simple
+         if (is_master) write(*,*) " H2Ocont_simple = ",H2Ocont_simple
  
-         write(*,*) "call turbulent vertical diffusion ?"
+         if (is_master) write(*,*) "call turbulent vertical",
+     &		" diffusion ?"
          calldifv=.true. ! default value
          call getin_p("calldifv",calldifv)
-         write(*,*) " calldifv = ",calldifv
-
-         write(*,*) "use turbdiff instead of vdifc ?"
+         if (is_master) write(*,*) " calldifv = ",calldifv
+
+         if (is_master) write(*,*) "use turbdiff instead of vdifc ?"
          UseTurbDiff=.true. ! default value
          call getin_p("UseTurbDiff",UseTurbDiff)
-         write(*,*) " UseTurbDiff = ",UseTurbDiff
-
-         write(*,*) "call convective adjustment ?"
+         if (is_master) write(*,*) " UseTurbDiff = ",UseTurbDiff
+
+         if (is_master) write(*,*) "call convective adjustment ?"
          calladj=.true. ! default value
          call getin_p("calladj",calladj)
-         write(*,*) " calladj = ",calladj
-
-         write(*,*) "call CO2 condensation ?"
+         if (is_master) write(*,*) " calladj = ",calladj
+
+         if (is_master) write(*,*) "call CO2 condensation ?"
          co2cond=.false. ! default value
          call getin_p("co2cond",co2cond)
-         write(*,*) " co2cond = ",co2cond
+         if (is_master) write(*,*) " co2cond = ",co2cond
 ! Test of incompatibility
          if (co2cond.and.(.not.tracer)) then
-            print*,'We need a CO2 ice tracer to condense CO2'
+            if (is_master) print*,'We need a CO2 ice tracer to',
+     &		' condense CO2'
             call abort
          endif 
  
-         write(*,*) "CO2 supersaturation level ?"
+         if (is_master) write(*,*) "CO2 supersaturation level ?"
          co2supsat=1.0 ! default value
          call getin_p("co2supsat",co2supsat)
-         write(*,*) " co2supsat = ",co2supsat
-
-         write(*,*) "Radiative timescale for Newtonian cooling ?"
+         if (is_master) write(*,*) " co2supsat = ",co2supsat
+
+         if (is_master) write(*,*) "Radiative timescale for Newtonian",
+     &		" cooling ?"
          tau_relax=30. ! default value
          call getin_p("tau_relax",tau_relax)
-         write(*,*) " tau_relax = ",tau_relax
+         if (is_master) write(*,*) " tau_relax = ",tau_relax
          tau_relax=tau_relax*24*3600 ! convert Earth days --> seconds
 
-         write(*,*)"call thermal conduction in the soil ?"
+         if (is_master) write(*,*)"call thermal conduction in",
+     &		" the soil ?"
          callsoil=.true. ! default value
          call getin_p("callsoil",callsoil)
-         write(*,*) " callsoil = ",callsoil
+         if (is_master) write(*,*) " callsoil = ",callsoil
          
-         write(*,*)"Rad transfer is computed every iradia",
-     &             " physical timestep"
+         if (is_master) write(*,*)"Rad transfer is computed",
+     &		" every iradia physical timestep"
          iradia=1 ! default value
          call getin_p("iradia",iradia)
-         write(*,*)" iradia = ",iradia
+         if (is_master) write(*,*)" iradia = ",iradia
        
-         write(*,*)"Rayleigh scattering ?"
+         if (is_master) write(*,*)"Rayleigh scattering ?"
          rayleigh=.false.
          call getin_p("rayleigh",rayleigh)
-         write(*,*)" rayleigh = ",rayleigh
-
-         write(*,*) "Use blackbody for stellar spectrum ?"
+         if (is_master) write(*,*)" rayleigh = ",rayleigh
+
+         if (is_master) write(*,*) "Use blackbody for stellar",
+     & 		" spectrum ?"
          stelbbody=.false. ! default value
          call getin_p("stelbbody",stelbbody)
-         write(*,*) " stelbbody = ",stelbbody
-
-         write(*,*) "Stellar blackbody temperature ?"
+         if (is_master) write(*,*) " stelbbody = ",stelbbody
+
+         if (is_master) write(*,*) "Stellar blackbody temperature ?"
          stelTbb=5800.0 ! default value
          call getin_p("stelTbb",stelTbb)
-         write(*,*) " stelTbb = ",stelTbb
-
-         write(*,*)"Output mean OLR in 1D?"
+         if (is_master) write(*,*) " stelTbb = ",stelTbb
+
+         if (is_master) write(*,*)"Output mean OLR in 1D?"
          meanOLR=.false.
          call getin_p("meanOLR",meanOLR)
-         write(*,*)" meanOLR = ",meanOLR
-
-         write(*,*)"Output spectral OLR in 3D?"
+         if (is_master) write(*,*)" meanOLR = ",meanOLR
+
+         if (is_master) write(*,*)"Output spectral OLR in 3D?"
          specOLR=.false.
          call getin_p("specOLR",specOLR)
-         write(*,*)" specOLR = ",specOLR
-
-         write(*,*)"Operate in kastprof mode?"
+         if (is_master) write(*,*)" specOLR = ",specOLR
+
+         if (is_master) write(*,*)"Operate in kastprof mode?"
          kastprof=.false.
          call getin_p("kastprof",kastprof)
-         write(*,*)" kastprof = ",kastprof
-
-         write(*,*)"Uniform absorption in radiative transfer?"
+         if (is_master) write(*,*)" kastprof = ",kastprof
+
+         if (is_master) write(*,*)"Uniform absorption in",
+     &		" radiative transfer?"
          graybody=.false.
          call getin_p("graybody",graybody)
-         write(*,*)" graybody = ",graybody
+         if (is_master) write(*,*)" graybody = ",graybody
 
 ! Slab Ocean 
-         write(*,*) "Use slab-ocean ?"
+         if (is_master) write(*,*) "Use slab-ocean ?"
          ok_slab_ocean=.false.         ! default value
          call getin_p("ok_slab_ocean",ok_slab_ocean)
-         write(*,*) "ok_slab_ocean = ",ok_slab_ocean
-
-         write(*,*) "Use slab-sea-ice ?"
+         if (is_master) write(*,*) "ok_slab_ocean = ",ok_slab_ocean
+
+         if (is_master) write(*,*) "Use slab-sea-ice ?"
          ok_slab_sic=.true.         ! default value
          call getin_p("ok_slab_sic",ok_slab_sic)
-         write(*,*) "ok_slab_sic = ",ok_slab_sic
-
-         write(*,*) "Use heat transport for the ocean ?"
+         if (is_master) write(*,*) "ok_slab_sic = ",ok_slab_sic
+
+         if (is_master) write(*,*) "Use heat transport for the ocean ?"
          ok_slab_heat_transp=.true.   ! default value
          call getin_p("ok_slab_heat_transp",ok_slab_heat_transp)
-         write(*,*) "ok_slab_heat_transp = ",ok_slab_heat_transp
+         if (is_master) write(*,*) "ok_slab_heat_transp = ",
+     &		ok_slab_heat_transp
 
 
@@ -359,94 +386,99 @@
 ! if kastprof used, we must be in 1D
          if (kastprof.and.(ngrid.gt.1)) then
-           print*,'kastprof can only be used in 1D!'
+           if (is_master) print*,'kastprof can only be used in 1D!'
            call abort
          endif
 
-         write(*,*)"Stratospheric temperature for kastprof mode?"
+         if (is_master) write(*,*)"Stratospheric temperature",
+     &		" for kastprof mode?"
          Tstrat=167.0
          call getin_p("Tstrat",Tstrat)
-         write(*,*)" Tstrat = ",Tstrat
-
-         write(*,*)"Remove lower boundary?"
+         if (is_master) write(*,*)" Tstrat = ",Tstrat
+
+         if (is_master) write(*,*)"Remove lower boundary?"
          nosurf=.false.
          call getin_p("nosurf",nosurf)
-         write(*,*)" nosurf = ",nosurf
+         if (is_master) write(*,*)" nosurf = ",nosurf
 
 ! Tests of incompatibility:
          if (nosurf.and.callsoil) then
-           print*,'nosurf not compatible with soil scheme!'
-           print*,'... got to make a choice!'
+           if (is_master) print*,'nosurf not compatible with soil',
+     &		' scheme! ... got to make a choice!'
            call abort
          endif
 
-         write(*,*)"Add an internal heat flux?",
+         if (is_master) write(*,*)"Add an internal heat flux?",
      .             "... matters only if callsoil=F"
          intheat=0.
          call getin_p("intheat",intheat)
-         write(*,*)" intheat = ",intheat
-
-         write(*,*)"Use Newtonian cooling for radiative transfer?"
+         if (is_master) write(*,*)" intheat = ",intheat
+
+         if (is_master) write(*,*)"Use Newtonian cooling for",
+     &		" radiative transfer?"
          newtonian=.false.
          call getin_p("newtonian",newtonian)
-         write(*,*)" newtonian = ",newtonian
+         if (is_master) write(*,*)" newtonian = ",newtonian
 
 ! Tests of incompatibility:
          if (newtonian.and.corrk) then
-           print*,'newtonian not compatible with correlated-k!'
+           if (is_master) print*,'newtonian not compatible with ',
+     &		'correlated-k!'
            call abort
          endif
          if (newtonian.and.calladj) then
-           print*,'newtonian not compatible with adjustment!'
+           if (is_master) print*,'newtonian not compatible with ',
+     &		'adjustment!'
            call abort
          endif
          if (newtonian.and.calldifv) then
-           print*,'newtonian not compatible with a boundary layer!'
+           if (is_master) print*,'newtonian not compatible with a ',
+     &		'boundary layer!'
            call abort
          endif
 
-         write(*,*)"Test physics timescale in 1D?"
+         if (is_master) write(*,*)"Test physics timescale in 1D?"
          testradtimes=.false.
          call getin_p("testradtimes",testradtimes)
-         write(*,*)" testradtimes = ",testradtimes
+         if (is_master) write(*,*)" testradtimes = ",testradtimes
 
 ! Test of incompatibility:
 ! if testradtimes used, we must be in 1D
          if (testradtimes.and.(ngrid.gt.1)) then
-           print*,'testradtimes can only be used in 1D!'
+           if (is_master) print*,'testradtimes can only be used in 1D!'
            call abort
          endif
 
-         write(*,*)"Default planetary temperature?"
+         if (is_master) write(*,*)"Default planetary temperature?"
          tplanet=215.0
          call getin_p("tplanet",tplanet)
-         write(*,*)" tplanet = ",tplanet
-
-         write(*,*)"Which star?"
+         if (is_master) write(*,*)" tplanet = ",tplanet
+
+         if (is_master) write(*,*)"Which star?"
          startype=1 ! default value = Sol
          call getin_p("startype",startype)
-         write(*,*)" startype = ",startype
-
-         write(*,*)"Value of stellar flux at 1 AU?"
+         if (is_master) write(*,*)" startype = ",startype
+
+         if (is_master) write(*,*)"Value of stellar flux at 1 AU?"
          Fat1AU=1356.0 ! default value = Sol today
          call getin_p("Fat1AU",Fat1AU)
-         write(*,*)" Fat1AU = ",Fat1AU
+         if (is_master) write(*,*)" Fat1AU = ",Fat1AU
 
 
 ! TRACERS:
 
-         write(*,*)"Varying H2O cloud fraction?"
+         if (is_master) write(*,*)"Varying H2O cloud fraction?"
          CLFvarying=.false.     ! default value
          call getin_p("CLFvarying",CLFvarying)
-         write(*,*)" CLFvarying = ",CLFvarying
-
-         write(*,*)"Value of fixed H2O cloud fraction?"
+         if (is_master) write(*,*)" CLFvarying = ",CLFvarying
+
+         if (is_master) write(*,*)"Value of fixed H2O cloud fraction?"
          CLFfixval=1.0                ! default value
          call getin_p("CLFfixval",CLFfixval)
-         write(*,*)" CLFfixval = ",CLFfixval
-
-         write(*,*)"fixed radii for Cloud particles?"
+         if (is_master) write(*,*)" CLFfixval = ",CLFfixval
+
+         if (is_master) write(*,*)"fixed radii for Cloud particles?"
          radfixed=.false. ! default value
          call getin_p("radfixed",radfixed)
-         write(*,*)" radfixed = ",radfixed
+         if (is_master) write(*,*)" radfixed = ",radfixed
 
          if(kastprof)then
@@ -454,8 +486,8 @@
          endif  
 
-	 write(*,*)"Number mixing ratio of CO2 ice particles:"
+	 if (is_master) write(*,*)"Number mixing ratio of CO2 ice particles:"
          Nmix_co2=1.e6 ! default value
          call getin_p("Nmix_co2",Nmix_co2)
-         write(*,*)" Nmix_co2 = ",Nmix_co2
+         if (is_master) write(*,*)" Nmix_co2 = ",Nmix_co2
 
 !         write(*,*)"Number of radiatively active aerosols:"
@@ -464,107 +496,120 @@
 !         write(*,*)" naerkind = ",naerkind
 
-         write(*,*)"Opacity of dust (if used):"
+         if (is_master) write(*,*)"Opacity of dust (if used):"
          dusttau=0. ! default value
          call getin_p("dusttau",dusttau)
-         write(*,*)" dusttau = ",dusttau
-
-         write(*,*)"Radiatively active CO2 aerosols?"
+         if (is_master) write(*,*)" dusttau = ",dusttau
+
+         if (is_master) write(*,*)"Radiatively active CO2 aerosols?"
          aeroco2=.false.     ! default value
          call getin_p("aeroco2",aeroco2)
-         write(*,*)" aeroco2 = ",aeroco2
-
-         write(*,*)"Fixed CO2 aerosol distribution?"
+         if (is_master) write(*,*)" aeroco2 = ",aeroco2
+
+         if (is_master) write(*,*)"Fixed CO2 aerosol distribution?"
          aerofixco2=.false.     ! default value
          call getin_p("aerofixco2",aerofixco2)
-         write(*,*)" aerofixco2 = ",aerofixco2
-
-         write(*,*)"Radiatively active water ice?"
+         if (is_master) write(*,*)" aerofixco2 = ",aerofixco2
+
+         if (is_master) write(*,*)"Radiatively active water ice?"
          aeroh2o=.false.     ! default value
          call getin_p("aeroh2o",aeroh2o)
-         write(*,*)" aeroh2o = ",aeroh2o
-
-         write(*,*)"Fixed H2O aerosol distribution?"
+         if (is_master) write(*,*)" aeroh2o = ",aeroh2o
+
+         if (is_master) write(*,*)"Fixed H2O aerosol distribution?"
          aerofixh2o=.false.     ! default value
          call getin_p("aerofixh2o",aerofixh2o)
-         write(*,*)" aerofixh2o = ",aerofixh2o
-
-         write(*,*)"Radiatively active sulfuric acid aersols?"
+         if (is_master) write(*,*)" aerofixh2o = ",aerofixh2o
+
+         if (is_master) write(*,*)"Radiatively active sulfuric",
+     &		" acid aersols?"
          aeroh2so4=.false.     ! default value
          call getin_p("aeroh2so4",aeroh2so4)
-         write(*,*)" aeroh2so4 = ",aeroh2so4
+         if (is_master) write(*,*)" aeroh2so4 = ",aeroh2so4
 	 
 !=================================
 
-	 write(*,*)"Radiatively active two-layer aersols?"
+	 if (is_master) write(*,*)"Radiatively active two-layer aersols?"
          aeroback2lay=.false.     ! default value
          call getin_p("aeroback2lay",aeroback2lay)
-         write(*,*)" aeroback2lay = ",aeroback2lay
-
-         write(*,*)"TWOLAY AEROSOL: total optical depth ",
+         if (is_master) write(*,*)" aeroback2lay = ",aeroback2lay
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: total optical depth ",
      &              "in the tropospheric layer (visible)"
          obs_tau_col_tropo=8.D0
          call getin_p("obs_tau_col_tropo",obs_tau_col_tropo)
-         write(*,*)" obs_tau_col_tropo = ",obs_tau_col_tropo
-
-         write(*,*)"TWOLAY AEROSOL: total optical depth ",
+         if (is_master) write(*,*)" obs_tau_col_tropo = ",
+     &		obs_tau_col_tropo
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: total optical depth ",
      &              "in the stratospheric layer (visible)"
          obs_tau_col_strato=0.08D0
          call getin_p("obs_tau_col_strato",obs_tau_col_strato)
-         write(*,*)" obs_tau_col_strato = ",obs_tau_col_strato
-
-         write(*,*)"TWOLAY AEROSOL: pres_bottom_tropo? in pa"
+         if (is_master) write(*,*)" obs_tau_col_strato = ",
+     &		obs_tau_col_strato
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: pres_bottom_tropo?",
+     &		" in pa"
          pres_bottom_tropo=66000.0
          call getin_p("pres_bottom_tropo",pres_bottom_tropo)
-         write(*,*)" pres_bottom_tropo = ",pres_bottom_tropo
-
-         write(*,*)"TWOLAY AEROSOL: pres_top_tropo? in pa"
+         if (is_master) write(*,*)" pres_bottom_tropo = ",
+     &		pres_bottom_tropo
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: pres_top_tropo?",
+     &		" in pa"
          pres_top_tropo=18000.0
          call getin_p("pres_top_tropo",pres_top_tropo)
-         write(*,*)" pres_top_tropo = ",pres_top_tropo
-
-         write(*,*)"TWOLAY AEROSOL: pres_bottom_strato? in pa"
+         if (is_master) write(*,*)" pres_top_tropo = ",pres_top_tropo
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: pres_bottom_strato?",
+     &		" in pa"
          pres_bottom_strato=2000.0
          call getin_p("pres_bottom_strato",pres_bottom_strato)
-         write(*,*)" pres_bottom_strato = ",pres_bottom_strato
-
-         write(*,*)"TWOLAY AEROSOL: pres_top_strato? in pa"
+         if (is_master) write(*,*)" pres_bottom_strato = ",
+     &		pres_bottom_strato
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: pres_top_strato?",
+     &		" in pa"
          pres_top_strato=100.0
          call getin_p("pres_top_strato",pres_top_strato)
-         write(*,*)" pres_top_strato = ",pres_top_strato
-
-         write(*,*)"TWOLAY AEROSOL: particle size in the ",
-     &              "tropospheric layer, in meters"
+         if (is_master) write(*,*)" pres_top_strato = ",pres_top_strato
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: particle size",
+     &		" in the tropospheric layer, in meters"
          size_tropo=2.e-6
          call getin_p("size_tropo",size_tropo)
-         write(*,*)" size_tropo = ",size_tropo
-
-         write(*,*)"TWOLAY AEROSOL: particle size in the ",
-     &              "stratospheric layer, in meters"
+         if (is_master) write(*,*)" size_tropo = ",size_tropo
+
+         if (is_master) write(*,*)"TWOLAY AEROSOL: particle size",
+     &		 "in the stratospheric layer, in meters"
          size_strato=1.e-7
          call getin_p("size_strato",size_strato)
-         write(*,*)" size_strato = ",size_strato
+         if (is_master) write(*,*)" size_strato = ",size_strato
 
 !=================================
 
-         write(*,*)"Cloud pressure level (with kastprof only):"
+         if (is_master) write(*,*)"Cloud pressure level (with ",
+     &		"kastprof only):"
          cloudlvl=0. ! default value
          call getin_p("cloudlvl",cloudlvl)
-         write(*,*)" cloudlvl = ",cloudlvl
-
-         write(*,*)"Is the variable gas species radiatively active?"
+         if (is_master) write(*,*)" cloudlvl = ",cloudlvl
+
+         if (is_master) write(*,*)"Is the variable gas species",
+     &		" radiatively active?"
          Tstrat=167.0
          varactive=.false.
          call getin_p("varactive",varactive)
-         write(*,*)" varactive = ",varactive
-
-         write(*,*)"Is the variable gas species distribution set?"
+         if (is_master) write(*,*)" varactive = ",varactive
+
+         if (is_master) write(*,*)"Is the variable gas species",
+     &		" distribution set?"
          varfixed=.false.
          call getin_p("varfixed",varfixed)
-         write(*,*)" varfixed = ",varfixed
-
-         write(*,*)"What is the saturation % of the variable species?"
+         if (is_master) write(*,*)" varfixed = ",varfixed
+
+         if (is_master) write(*,*)"What is the saturation % of",
+     &		" the variable species?"
          satval=0.8
          call getin_p("satval",satval)
-         write(*,*)" satval = ",satval
+         if (is_master) write(*,*)" satval = ",satval
 
 
